Searches Inventory Movement Logs
Searches Inventory Movement Logs
Query Parameters
Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If specified, product_id, product_supplier_sku, product_short_description, product_type_name, supplier_id filters are ignored.
Reference Id or Collection of Reference Ids (comma separated). If specified, plu, product_id, product_supplier_sku, product_short_description filters are ignored. movement_types is optional and can only contain single value.
Example: 1,5,7,23-00000001
Movement Type or Collection of Movement Types (comma separated).
Example: PO,Invoice
Filter by.
Available field name values: id, created_on, outlet_id, outlet_name, country_id, store_type_id, product_id, product_supplier_sku, product_short_description, product_type_name, supplier_id, supplier_code, supplier_name, origin, comment, quantity_available_before, quantity_available_delta, quantity_available_after, quantity_allocated_before, quantity_allocated_delta, quantity_allocated_after, quantity_picked_before, quantity_picked_delta, quantity_picked_after, quantity_in_transit_outbound_before, quantity_in_transit_outbound_delta, quantity_in_transit_outbound_after, quantity_in_transit_inbound_before, quantity_in_transit_inbound_delta, quantity_in_transit_inbound_after, quantity_received_before, quantity_received_delta, quantity_received_after, quantity_requested_before, quantity_requested_delta, quantity_requested_after, quantity_onorder_before, quantity_onorder_delta, quantity_onorder_after, quantity_faulty_before, quantity_faulty_delta, quantity_faulty_after, quantity_onreturn_before, quantity_onreturn_delta, quantity_onreturn_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, cogs_ex_before, cogs_ex_change, cogs_ex_after, quantity_soh_before, quantity_soh_delta, quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change, total_cogs_ex_after.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124002
Order by.
Available field name values: id, created_on, outlet_name, product_id, product_supplier_sku, product_short_description, product_type_name, movement_type, supplier_code, supplier_name, origin, comment, reference_id, quantity_available_before, quantity_available_delta, quantity_available_after, quantity_allocated_before, quantity_allocated_delta, quantity_allocated_after, quantity_picked_before, quantity_picked_delta, quantity_picked_after, quantity_in_transit_outbound_before, quantity_in_transit_outbound_delta, quantity_in_transit_outbound_after, quantity_in_transit_inbound_before, quantity_in_transit_inbound_delta, quantity_in_transit_inbound_after, quantity_received_before, quantity_received_delta, quantity_received_after, quantity_requested_before, quantity_requested_delta, quantity_requested_after, quantity_onorder_before, quantity_onorder_delta, quantity_onorder_after, quantity_faulty_before, quantity_faulty_delta, quantity_faulty_after, quantity_onreturn_before, quantity_onreturn_delta, quantity_onreturn_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, cogs_ex_before, cogs_ex_change, cogs_ex_after, quantity_soh_before, quantity_soh_delta, quantity_soh_after, total_cogs_ex_before, total_cogs_ex_change, total_cogs_ex_after.
Available direction values: asc, desc.
Example: id asc, created_on desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Inventory Movement Logs data
InventoryMovementLogs.PagingResponse
Inventory Movement Logs model
Show Child Parameters
Query Parameters
Headers
loyaltyadjustmentreasons
Searches Loyalty Adjustment Reasons by parameters
Searches Loyalty Adjustment Reasons by parameters
Query Parameters
Filter by.
Available field name values: id, name, is_system, is_deleted
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: name:eq:reason name, is_system:eq:true
Order by.
Available field name values: id, name, is_system, is_deleted
Available direction values: asc, desc.
Example: id asc, name desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Loyalty Adjustment Reasons data
LoyaltyAdjustmentReason.PagingResponse
Loyalty Adjustment Reason Model
Show Child Parameters
Query Parameters
Headers
Creates Loyalty Adjustment Reason
Sample request:
POST /loyaltyadjustmentreasons
{
"name": "Loyalty Adjustment Reason Name"
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Loyalty Adjustment Reason model
EmptyExample
Response
application/json
Response
Loyalty Adjustment Reason created
LoyaltyAdjustmentReason
Loyalty Adjustment Reason Model
Loyalty Adjustment Reason Id.
Loyalty Adjustment Reason name
Loyalty Adjustment Reason IsSystem flag
Loyalty Adjustment Reason IsDeleted flag
Headers
Body
Gets specific Loyalty Adjustment Reason by unique id
Gets specific Loyalty Adjustment Reason by unique id
Path Parameters
Loyalty Adjustment Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Loyalty Adjustment Reason
LoyaltyAdjustmentReason
Loyalty Adjustment Reason Model
Loyalty Adjustment Reason Id.
Loyalty Adjustment Reason name
Loyalty Adjustment Reason IsSystem flag
Loyalty Adjustment Reason IsDeleted flag